package com.example.androidlogin;

import android.app.Activity;
import android.content.Intent;
import android.graphics.Color;

import java.io.IOException;
import java.io.InputStream;
import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.impl.client.DefaultHttpClient;
import android.os.Bundle;
import android.os.StrictMode;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

//pour lire la réponse de la requette :
import java.io.BufferedReader;
import java.io.InputStreamReader;
import org.apache.http.HttpResponse;

public class AlterncusersPOST extends Activity {

	Bundle extras;
	private Button backButton;
	private Button validButton;
	private EditText username,bck_pass,bck_name,bck_sur,bck_mail,bck_conf,bck_can;
	  String LOCALHOST="10.0.2.2";
	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        
        // La il sait qu'on veut l'affichage de welcome.xml
        setContentView(R.layout.alterncuserspost);
           
       setUpViews();
       
	}
	private void setUpViews() {	

	    final String credentials,name;
			 extras = getIntent().getExtras();
			    if(extras == null) {
			        credentials= null;
			        name=null;
			    } else {
			        credentials= extras.getString("credentials");
			        name= extras.getString("name");
			    } 

			backButton=(Button)findViewById(R.id.AlterncusersPOSTback);
		
		backButton.setOnClickListener(new OnClickListener() {
			
			Intent myIntent;
			@Override
			public void onClick(View v) {
				
			
				myIntent=new Intent(AlterncusersPOST.this,Alterncusers.class);	
				myIntent.putExtra("credentials", credentials);
				myIntent.putExtra("name", name);
		    	//Lance la page préchargée
		startActivity(myIntent);				
			}
		}); 
		
		username=(EditText)findViewById(R.id.alterncusersposttxt);
		username.setOnFocusChangeListener(new View.OnFocusChangeListener() {			
			@Override
			public void onFocusChange(View v, boolean hasFocus) {
				if(username.getText().toString().equalsIgnoreCase("Username")){
					if(hasFocus){
						username.setTextColor(Color.parseColor("#000000"));
						username.setText("");
					}
				}
				else if((username).getText().toString().equalsIgnoreCase("")){
					username.setTextColor(Color.parseColor("#888888"));
					username.setText("Username");
				}								
			}
		});
		bck_pass=(EditText)findViewById(R.id.alterncusersposttxt1);
		
		bck_pass.setOnFocusChangeListener(new View.OnFocusChangeListener() {			
			@Override
			public void onFocusChange(View v, boolean hasFocus) {
				if(bck_pass.getText().toString().equalsIgnoreCase("password")){
					if(hasFocus){
						bck_pass.setTextColor(Color.parseColor("#000000"));
						bck_pass.setText("");
					}
				}
				else if((bck_pass).getText().toString().equalsIgnoreCase("")){
					bck_pass.setTextColor(Color.parseColor("#888888"));
					bck_pass.setText("password");
				}								
			}
		});
		
		bck_conf=(EditText)findViewById(R.id.alterncusersposttxt2);
		
		bck_conf.setOnFocusChangeListener(new View.OnFocusChangeListener() {			
			@Override
			public void onFocusChange(View v, boolean hasFocus) {
				if(bck_conf.getText().toString().equalsIgnoreCase("password")){
					if(hasFocus){
						bck_conf.setTextColor(Color.parseColor("#000000"));
						bck_conf.setText("");
					}
				}
				else if((bck_conf).getText().toString().equalsIgnoreCase("")){
					bck_conf.setTextColor(Color.parseColor("#888888"));
					bck_conf.setText("password");
				}								
			}
		});
bck_can=(EditText)findViewById(R.id.alterncusersposttxt3);
		
		bck_can.setOnFocusChangeListener(new View.OnFocusChangeListener() {			
			@Override
			public void onFocusChange(View v, boolean hasFocus) {
				if(bck_can.getText().toString().equalsIgnoreCase("Can change password? yes or no")){
					if(hasFocus){
						bck_can.setTextColor(Color.parseColor("#000000"));
						bck_can.setText("");
					}
				}
				else if((bck_can).getText().toString().equalsIgnoreCase("")){
					bck_can.setTextColor(Color.parseColor("#888888"));
					bck_can.setText("Can change password? yes or no");
				}								
			}
		}); 		
			 bck_name=(EditText)findViewById(R.id.alterncusersposttxt4);
				
				bck_name.setOnFocusChangeListener(new View.OnFocusChangeListener() {			
					@Override
					public void onFocusChange(View v, boolean hasFocus) {
						if(bck_name.getText().toString().equalsIgnoreCase("Name")){
							if(hasFocus){
							bck_name.setTextColor(Color.parseColor("#000000"));
								bck_name.setText("");
							}
						}
						else if((bck_name).getText().toString().equalsIgnoreCase("")){
							bck_name.setTextColor(Color.parseColor("#888888"));
							bck_name.setText("Name");
						}								
					}
				});
				 bck_sur=(EditText)findViewById(R.id.alterncusersposttxt5);
					
				 bck_sur.setOnFocusChangeListener(new View.OnFocusChangeListener() {			
						@Override
						public void onFocusChange(View v, boolean hasFocus) {
							if(bck_sur.getText().toString().equalsIgnoreCase("Surname")){
								if(hasFocus){
									bck_sur.setTextColor(Color.parseColor("#000000"));
									bck_sur.setText("");
								}
							}
							else if((bck_sur).getText().toString().equalsIgnoreCase("")){
								bck_sur.setTextColor(Color.parseColor("#888888"));
								bck_sur.setText("Surname");
							}								
						}
					});
					 bck_mail=(EditText)findViewById(R.id.alterncusersposttxt6);
						
					 bck_mail.setOnFocusChangeListener(new View.OnFocusChangeListener() {			
							@Override
							public void onFocusChange(View v, boolean hasFocus) {
								if(bck_mail.getText().toString().equalsIgnoreCase("Adress e-mail")){
									if(hasFocus){
										bck_mail.setTextColor(Color.parseColor("#000000"));
										bck_mail.setText("");
									}
								}
								else if((bck_mail).getText().toString().equalsIgnoreCase("")){
									bck_mail.setTextColor(Color.parseColor("#888888"));
									bck_mail.setText("Adress e-mail");
								}								
							}
						});
	   	
		 
		validButton=(Button)findViewById(R.id.alterncuserspostvalid);
		validButton.setFocusableInTouchMode(true);
		validButton.requestFocus();
	
		validButton.setOnClickListener(new OnClickListener() {
				private String username1,bck_pass1,bck_name1,bck_sur1,bck_mail1;
				private int bck_can1;
				private Long ts=System.currentTimeMillis()/1000;
				@Override
			
				public void onClick(View v) {
					
					username1=username.getText().toString();
					bck_pass1=bck_pass.getText().toString();
					bck_name1=bck_name.getText().toString();
					bck_sur1=bck_sur.getText().toString();
					bck_mail1=bck_mail.getText().toString();
					if((bck_can.getText().toString()).equals("yes")){
						bck_can1=1;}
					else{bck_can1=0;}
					//requete JAVA PUT
					
//on regle les soucis de droits/sécurité
					StrictMode.ThreadPolicy policy = new StrictMode.ThreadPolicy.Builder().permitAll().build();
					StrictMode.setThreadPolicy(policy); 
						
						//on prépare l'élément a envoyer
					 HttpPost httppost = new HttpPost("http://"+LOCALHOST+"/Alternc_RESTAPI/ALTERNC/users.php/"+"@"+username1+":"+bck_pass1+";"+bck_name1+"."+bck_sur1+"%"+bck_mail1+","+bck_can1+"&"+name+"-"+credentials+"_"+ts);

			
					
				  

				      HttpClient httpclient = new DefaultHttpClient();

				  //test si pass et canpass sont les même
						 String html = "";
				      if(bck_pass.equals(bck_conf)){

					// Envoi requette + reception/affichage de la reponse du serveur :
				      
				     
				      HttpResponse response = null;
					try {
						response = httpclient.execute(httppost);
					} catch (ClientProtocolException e) {
						// TODO Auto-generated catch block
						e.printStackTrace();
					} catch (IOException e) {
						// TODO Auto-generated catch block
						e.printStackTrace();
					}
					
			    		InputStream in = null;
						try {
							in = response.getEntity().getContent();
						} catch (IllegalStateException e) {
							// TODO Auto-generated catch block
							e.printStackTrace();
						} catch (IOException e) {
							// TODO Auto-generated catch block
							e.printStackTrace();
						}
			    		BufferedReader reader = new BufferedReader(new InputStreamReader(in));

			    		StringBuilder str = new StringBuilder();
			    		String line = null;
			    		try {
			    			while((line = reader.readLine()) != null)
			    			{
			    				str.append(line);
			    			}
			    		} catch (IOException e) {
			    			// TODO Auto-generated catch block
			    			e.printStackTrace();
			    		}
			    		try {
			    			in.close();
			    		} catch (IOException e) {
			    			// TODO Auto-generated catch block
			    			e.printStackTrace();
			    		}
			    		html = str.toString();
				      }
				      else{
				    	  html="Error Password";
				      		
				      }

	TextView textview =(TextView) findViewById(R.id.alterncuserspostmsg);
	textview.setText(html);

				}

	 
			});
		
		//end java request	
}
}

