package com.example.androidlogin;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

import org.apache.http.HttpResponse;
import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpPut;
import org.apache.http.impl.client.DefaultHttpClient;

import android.app.Activity;
import android.content.Intent;
import android.graphics.Color;
import android.os.Bundle;
import android.os.StrictMode;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

public class BdddatabasePUT extends Activity {
	Bundle extras;
	private Button backButton,validButton;
	private EditText dbn,bck_mode,bck_history,bck_gzip,bck_dir;
	  String LOCALHOST="10.0.2.2";
	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        
        // La il sait qu'on veut l'affichage de welcome.xml
        setContentView(R.layout.bdddatabaseput);
          
       setUpViews();
    } 
	private void setUpViews() {	
	    final String credentials,name;
			 extras = getIntent().getExtras();
			    if(extras == null) {
			        credentials= null;
			        name=null;
			    } else {
			        credentials= extras.getString("credentials");
			        name= extras.getString("name");
			    }
			backButton=(Button)findViewById(R.id.BdddatabasePUTback);
		
		backButton.setOnClickListener(new OnClickListener() {
			
			Intent myIntent;
			@Override
			public void onClick(View v) {
				
			
				myIntent=new Intent(BdddatabasePUT.this,Bdddatabase.class);	
				myIntent.putExtra("credentials", credentials);
				myIntent.putExtra("name", name);
		    	//Lance la page préchargée
		startActivity(myIntent);				
			}
		});
					
										
										  	dbn=(EditText)findViewById(R.id.bdddatabaseputtxt);
											
											 
													dbn.setOnFocusChangeListener(new View.OnFocusChangeListener() {			
														@Override
														public void onFocusChange(View v, boolean hasFocus) {
															if(dbn.getText().toString().equalsIgnoreCase("Enter Database name")){
																if(hasFocus){
																	dbn.setTextColor(Color.parseColor("#000000"));
																	dbn.setText("");
																}
															}
															else if((dbn).getText().toString().equalsIgnoreCase("")){
																dbn.setTextColor(Color.parseColor("#888888"));
																dbn.setText("Enter Database name");
															}								
														}
													});
												 	bck_mode=(EditText)findViewById(R.id.bdddatabaseputtxt1);
													
													bck_mode.setOnFocusChangeListener(new View.OnFocusChangeListener() {			
														@Override
														public void onFocusChange(View v, boolean hasFocus) {
															if(bck_mode.getText().toString().equalsIgnoreCase("Backup mode")){
																if(hasFocus){
																	bck_mode.setTextColor(Color.parseColor("#000000"));
																	bck_mode.setText("");
																}
															}
															else if((bck_mode).getText().toString().equalsIgnoreCase("")){
																bck_mode.setTextColor(Color.parseColor("#888888"));
																bck_mode.setText("Backup mode");
															}								
														}
													});
												 bck_history=(EditText)findViewById(R.id.bdddatabaseputtxt2);
													
													bck_history.setOnFocusChangeListener(new View.OnFocusChangeListener() {			
														@Override
														public void onFocusChange(View v, boolean hasFocus) {
															if(bck_history.getText().toString().equalsIgnoreCase("Backup history")){
																if(hasFocus){
																bck_history.setTextColor(Color.parseColor("#000000"));
																	bck_history.setText("");
																}
															}
															else if((bck_history).getText().toString().equalsIgnoreCase("")){
																bck_history.setTextColor(Color.parseColor("#888888"));
																bck_history.setText("Backup history");
															}								
														}
													});
													 bck_gzip=(EditText)findViewById(R.id.bdddatabaseputtxt3);
														
														bck_gzip.setOnFocusChangeListener(new View.OnFocusChangeListener() {			
															@Override
															public void onFocusChange(View v, boolean hasFocus) {
																if(bck_gzip.getText().toString().equalsIgnoreCase("Compress ? ")){
																	if(hasFocus){
																	bck_gzip.setTextColor(Color.parseColor("#000000"));
																		bck_gzip.setText("");
																	}
																}
																else if((bck_gzip).getText().toString().equalsIgnoreCase("")){
																	bck_gzip.setTextColor(Color.parseColor("#888888"));
																	bck_gzip.setText("Compress ? ");
																}								
															}
														});
														 bck_dir=(EditText)findViewById(R.id.bdddatabaseputtxt4);
															
															bck_dir.setOnFocusChangeListener(new View.OnFocusChangeListener() {			
																@Override
																public void onFocusChange(View v, boolean hasFocus) {
																	if(bck_dir.getText().toString().equalsIgnoreCase("Backup Directory")){
																		if(hasFocus){
																		bck_dir.setTextColor(Color.parseColor("#000000"));
																			bck_dir.setText("");
																		}
																	}
																	else if((bck_dir).getText().toString().equalsIgnoreCase("")){
																		bck_dir.setTextColor(Color.parseColor("#888888"));
																		bck_dir.setText("Backup Directory");
																	}								
																}
															});
													
												validButton=(Button)findViewById(R.id.bdddatabaseputvalid);
												
												validButton.setFocusableInTouchMode(true);
												validButton.requestFocus();
											  
												validButton.setOnClickListener(new OnClickListener() {
													
														private String  dbn1,bck_mode1,bck_history1,bck_gzip1,bck_dir1;
														private Long ts=System.currentTimeMillis()/1000;
														@Override
													
														public void onClick(View v) {
															
															dbn1=dbn.getText().toString();
															bck_mode1=bck_mode.getText().toString();
															bck_history1=bck_history.getText().toString();
															bck_gzip1=bck_gzip.getText().toString();
															bck_dir1=bck_dir.getText().toString();
															//requete JAVA PUT
															
										//on regle les soucis de droits/sécurité
															StrictMode.ThreadPolicy policy = new StrictMode.ThreadPolicy.Builder().permitAll().build();
															StrictMode.setThreadPolicy(policy); 
																
																//on prépare l'élément a envoyer
														  HttpPut httpput = new HttpPut("http://"+LOCALHOST+"/Alternc_RESTAPI/BDD/database.php/"+"@"+dbn1+":"+bck_mode1+";"+bck_history1+"."+bck_gzip1+","+bck_dir1+"&"+name+"-"+credentials+"_"+ts);

													
															
														  

														      HttpClient httpclient = new DefaultHttpClient();

														  

															// Envoi requette + reception/affichage de la reponse du serveur :
														      
														     
														      HttpResponse response = null;
															try {
																response = httpclient.execute(httpput);
															} catch (ClientProtocolException e) {
																// TODO Auto-generated catch block
																e.printStackTrace();
															} catch (IOException e) {
																// TODO Auto-generated catch block
																e.printStackTrace();
															}
															
															 String html = "";
													    		InputStream in = null;
																try {
																	in = response.getEntity().getContent();
																} catch (IllegalStateException e) {
																	// TODO Auto-generated catch block
																	e.printStackTrace();
																} catch (IOException e) {
																	// TODO Auto-generated catch block
																	e.printStackTrace();
																}
													    		BufferedReader reader = new BufferedReader(new InputStreamReader(in));

										StringBuilder str = new StringBuilder();
										String line = null;
										try {
											while((line = reader.readLine()) != null)
											{
											    str.append(line);
											}
										} catch (IOException e) {
											// TODO Auto-generated catch block
											e.printStackTrace();
										}
										try {
											in.close();
										} catch (IOException e) {
											// TODO Auto-generated catch block
											e.printStackTrace();
										}
										html = str.toString();
											TextView textview =(TextView) findViewById(R.id.bdddatabaseputmsg);
											textview.setText(html);

														}
										
											 
													});
												
												//end java request	
	}
}
