package com.example.androidlogin;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

import org.apache.http.HttpResponse;
import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpPut;
import org.apache.http.impl.client.DefaultHttpClient;

import android.app.Activity;
import android.content.Intent;
import android.graphics.Color;
import android.os.Bundle;
import android.os.StrictMode;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

public class BddpasswordPUT extends Activity {
	Bundle extras;
	private Button backButton,validButton;
	private EditText usern,password,passconf;
	  String LOCALHOST="10.0.2.2";
	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        
        // La il sait qu'on veut l'affichage de welcome.xml
        setContentView(R.layout.bddpasswordput);
       
       setUpViews();
    } 
	private void setUpViews() {	
	    final String credentials,name;
			 extras = getIntent().getExtras();
			    if(extras == null) {
			        credentials= null;
			        name=null;
			    } else {
			        credentials= extras.getString("credentials");
			        name= extras.getString("name");
			    }	
		backButton=(Button)findViewById(R.id.BddpasswordPUTback);
		backButton.setOnClickListener(new OnClickListener() {
			
			Intent myIntent;
			@Override
			public void onClick(View v) {
				
			
				myIntent=new Intent(BddpasswordPUT.this,Bddpassword.class);	
				myIntent.putExtra("credentials", credentials);
				myIntent.putExtra("name", name);
		    	//Lance la page préchargée
		startActivity(myIntent);			
			}
		});
	
			
								
								  	usern=(EditText)findViewById(R.id.bddpasswordputtxt);
									
									 
											usern.setOnFocusChangeListener(new View.OnFocusChangeListener() {			
												@Override
												public void onFocusChange(View v, boolean hasFocus) {
													if(usern.getText().toString().equalsIgnoreCase("Enter User name")){
														if(hasFocus){
															usern.setTextColor(Color.parseColor("#000000"));
															usern.setText("");
														}
													}
													else if((usern).getText().toString().equalsIgnoreCase("")){
														usern.setTextColor(Color.parseColor("#888888"));
														usern.setText("Enter User name");
													}								
												}
											});
										 	password=(EditText)findViewById(R.id.bddpasswordputtxt1);
											
											password.setOnFocusChangeListener(new View.OnFocusChangeListener() {			
												@Override
												public void onFocusChange(View v, boolean hasFocus) {
													if(password.getText().toString().equalsIgnoreCase("")){
														if(hasFocus){
															password.setTextColor(Color.parseColor("#000000"));
															password.setText("");
														}
													}
													else if((password).getText().toString().equalsIgnoreCase("")){
														password.setTextColor(Color.parseColor("#888888"));
														password.setText("");
													}								
												}
											});
										 	passconf=(EditText)findViewById(R.id.bddpasswordputtxt2);
											
											passconf.setOnFocusChangeListener(new View.OnFocusChangeListener() {			
												@Override
												public void onFocusChange(View v, boolean hasFocus) {
													if(passconf.getText().toString().equalsIgnoreCase("")){
														if(hasFocus){
															passconf.setTextColor(Color.parseColor("#000000"));
															passconf.setText("");
														}
													}
													else if((passconf).getText().toString().equalsIgnoreCase("")){
														passconf.setTextColor(Color.parseColor("#888888"));
														passconf.setText("");
													}								
												}
											});
										
										validButton=(Button)findViewById(R.id.bddpasswordputvalid);
										
										validButton.setFocusableInTouchMode(true);
										validButton.requestFocus();
									  
										validButton.setOnClickListener(new OnClickListener() {
											
												private String usern1,password1,passconf1;
												private Long ts=System.currentTimeMillis()/1000;
												@Override
											
												public void onClick(View v) {
													
													usern1=usern.getText().toString();
													password1=password.getText().toString();
													passconf1=passconf.getText().toString();
													//requete JAVA PUT
													if (password1.equalsIgnoreCase(passconf1)) 
													{
								//on regle les soucis de droits/sécurité
													StrictMode.ThreadPolicy policy = new StrictMode.ThreadPolicy.Builder().permitAll().build();
													StrictMode.setThreadPolicy(policy); 
														
														//on prépare l'élément a envoyer
												  HttpPut httpput = new HttpPut("http://"+LOCALHOST+"/Alternc_RESTAPI/BDD/password.php/"+usern1+":"+password1+";"+passconf1+"&"+name+"-"+credentials+"_"+ts);

											
													
												  

												      HttpClient httpclient = new DefaultHttpClient();

												  

													// Envoi requette + reception/affichage de la reponse du serveur :
												      
												     
												      HttpResponse response = null;
													try {
														response = httpclient.execute(httpput);
													} catch (ClientProtocolException e) {
														// TODO Auto-generated catch block
														e.printStackTrace();
													} catch (IOException e) {
														// TODO Auto-generated catch block
														e.printStackTrace();
													}
													
													 String html = "";
											    		InputStream in = null;
														try {
															in = response.getEntity().getContent();
														} catch (IllegalStateException e) {
															// TODO Auto-generated catch block
															e.printStackTrace();
														} catch (IOException e) {
															// TODO Auto-generated catch block
															e.printStackTrace();
														}
											    		BufferedReader reader = new BufferedReader(new InputStreamReader(in));

								StringBuilder str = new StringBuilder();
								String line = null;
								try {
									while((line = reader.readLine()) != null)
									{
									    str.append(line);
									}
								} catch (IOException e) {
									// TODO Auto-generated catch block
									e.printStackTrace();
								}
								try {
									in.close();
								} catch (IOException e) {
									// TODO Auto-generated catch block
									e.printStackTrace();
								}
								html = str.toString();
									TextView textview =(TextView) findViewById(R.id.bddpasswordputmsg);
									textview.setText(html);

												}
												}// end if pas les meme mdp
									
											});
										
										//end java request						
		}

}
