package com.example.androidlogin;

import android.app.Activity;
import android.content.Intent;
import android.graphics.Color;

import java.io.IOException;
import java.io.InputStream;
import java.io.UnsupportedEncodingException;
import java.util.ArrayList;
import java.util.List;
import org.apache.http.NameValuePair;
import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.HttpClient;
import org.apache.http.client.entity.UrlEncodedFormEntity;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.impl.client.DefaultHttpClient;
import org.apache.http.message.BasicNameValuePair;
import android.os.Bundle;
import android.os.StrictMode;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

//pour lire la réponse de la requette :
import java.io.BufferedReader;
import java.io.InputStreamReader;
import org.apache.http.HttpResponse;
public class BddusersPOST extends Activity {
	Bundle extras;
	private Button backButton,validButton;
	String LOCALHOST="10.0.2.2";
	private EditText usern,dbn,rights,password,passconf;
	
	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        
        setContentView(R.layout.bdduserspost);     
       setUpViews();
    } 
	private void setUpViews() {	
	    final String credentials,name;
			 extras = getIntent().getExtras();
			    if(extras == null) {
			        credentials= null;
			        name=null;
			    } else {
			        credentials= extras.getString("credentials");
			        name= extras.getString("name");
			    }
		backButton=(Button)findViewById(R.id.BddusersPOSTback);
		backButton.setOnClickListener(new OnClickListener() {
			
			Intent myIntent;
			@Override
			public void onClick(View v) {
				
			
				myIntent=new Intent(BddusersPOST.this,Bddusers.class);	
				myIntent.putExtra("credentials", credentials);
				myIntent.putExtra("name", name);
		    	//Lance la page préchargée
		startActivity(myIntent);				
			}
		});
		
		//Requette java
	       
	   	usern=(EditText)findViewById(R.id.bddusersposttxt0);
	
		
		usern.setOnFocusChangeListener(new View.OnFocusChangeListener() {			
			@Override
			public void onFocusChange(View v, boolean hasFocus) {
				if(usern.getText().toString().equalsIgnoreCase("Enter User Name")){
					if(hasFocus){
						usern.setTextColor(Color.parseColor("#000000"));
						usern.setText("");
					}
				}
				else if((usern).getText().toString().equalsIgnoreCase("")&&(!(hasFocus))){
					usern.setTextColor(Color.parseColor("#888888"));
					usern.setText("Enter User Name");
				}								
			}
		});
		 
				
	  	password=(EditText)findViewById(R.id.bddusersposttxt11);
		
		
			password.setOnFocusChangeListener(new View.OnFocusChangeListener() {			
				@Override
				public void onFocusChange(View v, boolean hasFocus) {
					if(password.getText().toString().equalsIgnoreCase("Enter Password")){
						if(hasFocus){
							password.setTextColor(Color.parseColor("#000000"));
							password.setText("");
						}
					}
					else if((password).getText().toString().equalsIgnoreCase("")&&(!(hasFocus))){
						password.setTextColor(Color.parseColor("#888888"));
						password.setText("Enter Password");
					}								
				}
			});
		  	passconf=(EditText)findViewById(R.id.bddusersposttxt21);
			
			 
			passconf.setOnFocusChangeListener(new View.OnFocusChangeListener() {			
				@Override
				public void onFocusChange(View v, boolean hasFocus) {
					if(passconf.getText().toString().equalsIgnoreCase("Enter Password again")){
						if(hasFocus){
							passconf.setTextColor(Color.parseColor("#000000"));
							passconf.setText("");
						}
					}
					else if((passconf).getText().toString().equalsIgnoreCase("")&&(!(hasFocus))){
						passconf.setTextColor(Color.parseColor("#888888"));
						passconf.setText("Enter Password again");
					}								
				}
			});
		  	dbn=(EditText)findViewById(R.id.bddusersposttxt3);
			
			
			dbn.setOnFocusChangeListener(new View.OnFocusChangeListener() {			
				@Override
				public void onFocusChange(View v, boolean hasFocus) {
					if(dbn.getText().toString().equalsIgnoreCase("Enter Database Name")){
						if(hasFocus){
							dbn.setTextColor(Color.parseColor("#000000"));
							dbn.setText("");
						}
					}
					else if((dbn).getText().toString().equalsIgnoreCase("")&&(!(hasFocus))){
						dbn.setTextColor(Color.parseColor("#888888"));
						dbn.setText("Enter Database Name");
					}								
				}
			});
		  	rights=(EditText)findViewById(R.id.bddusersposttxt4);
			
			
			rights.setOnFocusChangeListener(new View.OnFocusChangeListener() {			
				@Override
				public void onFocusChange(View v, boolean hasFocus) {
					if((rights).getText().toString().equalsIgnoreCase("Enter rights")){
						if(hasFocus){
							rights.setTextColor(Color.parseColor("#000000"));
							rights.setText("");
						}
					}
					else if((rights).getText().toString().equalsIgnoreCase("")&&(!(hasFocus))){
						rights.setTextColor(Color.parseColor("#888888"));
						rights.setText("Enter rights");
					}								
				}
			});
		
		validButton=(Button)findViewById(R.id.bdduserspostvalid);
		
		validButton.setFocusableInTouchMode(true);
		validButton.requestFocus();
	  
		validButton.setOnClickListener(new OnClickListener() {
			
				private String usern1,dbn1,rights1,password1,passconf1 ;
				private Long ts=System.currentTimeMillis()/1000;
				@Override
			
				public void onClick(View v) {
					
					usern1=usern.getText().toString();
					dbn1=dbn.getText().toString();
					rights1=rights.getText().toString();
					password1=password.getText().toString();
					passconf1=passconf.getText().toString();
					//requete JAVA POST
//on regle les soucis de droits/sécurité
					 StrictMode.ThreadPolicy policy = new StrictMode.ThreadPolicy.Builder().permitAll().build();
						StrictMode.setThreadPolicy(policy); 
						
						//on prépare l'élément a envoyer
				  HttpPost httppost = new HttpPost("http://"+LOCALHOST+"/Alternc_RESTAPI/BDD/users.php/"+"&"+name+"-"+credentials+"_"+ts);

				 List<NameValuePair> nameValuePairs = new ArrayList<NameValuePair>(); //On crée la liste qui contiendra tous nos paramètres
				 nameValuePairs.add(new BasicNameValuePair("usern", usern1));
				 nameValuePairs.add(new BasicNameValuePair("rights", rights1));
				 nameValuePairs.add(new BasicNameValuePair("dbn", dbn1));
				 nameValuePairs.add(new BasicNameValuePair("password", password1));
				 nameValuePairs.add(new BasicNameValuePair("passconf", passconf1));
				 nameValuePairs.add(new BasicNameValuePair("head", "n"));
				 try {
					httppost.setEntity(new UrlEncodedFormEntity(nameValuePairs));
				} catch (UnsupportedEncodingException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				} 
					
				  

				      HttpClient httpclient = new DefaultHttpClient();

				  

					// Envoi requette + reception/affichage de la reponse du serveur :
				      
				     
				      HttpResponse response = null;
					try {
						response = httpclient.execute(httppost);
					} catch (ClientProtocolException e) {
						// TODO Auto-generated catch block
						e.printStackTrace();
					} catch (IOException e) {
						// TODO Auto-generated catch block
						e.printStackTrace();
					}
					
					 String html = "";
			    		InputStream in = null;
						try {
							in = response.getEntity().getContent();
						} catch (IllegalStateException e) {
							// TODO Auto-generated catch block
							e.printStackTrace();
						} catch (IOException e) {
							// TODO Auto-generated catch block
							e.printStackTrace();
						}
			    		BufferedReader reader = new BufferedReader(new InputStreamReader(in));

StringBuilder str = new StringBuilder();
String line = null;
try {
	while((line = reader.readLine()) != null)
	{
	    str.append(line);
	}
} catch (IOException e) {
	// TODO Auto-generated catch block
	e.printStackTrace();
}
try {
	in.close();
} catch (IOException e) {
	// TODO Auto-generated catch block
	e.printStackTrace();
}
html = str.toString();
	TextView textview =(TextView) findViewById(R.id.bdduserspostmsg);
	textview.setText(html);

				}
	
			});
		
		//end java request

	}

}
