package com.example.androidlogin;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

import org.apache.http.HttpResponse;
import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpPut;
import org.apache.http.impl.client.DefaultHttpClient;

import android.app.Activity;
import android.content.Intent;
import android.graphics.Color;
import android.os.Bundle;
import android.os.StrictMode;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

public class MailmailPUT extends Activity {
	Bundle extras;
	private Button backButton,validButton;
	private EditText mail_id,islocal,quotamb,recipients;
	  String LOCALHOST="10.0.2.2";
	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        
        // La il sait qu'on veut l'affichage de welcome.xml
        setContentView(R.layout.mailmailput);
            
       setUpViews();
    } 
	private void setUpViews() {	
	    final String credentials,name;
			 extras = getIntent().getExtras();
			    if(extras == null) {
			        credentials= null;
			        name=null;
			    } else {
			        credentials= extras.getString("credentials");
			        name= extras.getString("name");
			    }
		backButton=(Button)findViewById(R.id.MailmailPUTback);
		backButton.setOnClickListener(new OnClickListener() {
			
			Intent myIntent;
			@Override
			public void onClick(View v) {
				
			
				myIntent=new Intent(MailmailPUT.this,Mailmail.class);	
				myIntent.putExtra("credentials", credentials);
				myIntent.putExtra("name", name);
		    	//Lance la page préchargée
		startActivity(myIntent);				
			}
		});
		
					
							
							  	mail_id=(EditText)findViewById(R.id.mailmailputtxt);
								
								 
										mail_id.setOnFocusChangeListener(new View.OnFocusChangeListener() {			
											@Override
											public void onFocusChange(View v, boolean hasFocus) {
												if(mail_id.getText().toString().equalsIgnoreCase("Enter Mail ID")){
													if(hasFocus){
														mail_id.setTextColor(Color.parseColor("#000000"));
														mail_id.setText("");
													}
												}
												else if((mail_id).getText().toString().equalsIgnoreCase("")){
													mail_id.setTextColor(Color.parseColor("#888888"));
													mail_id.setText("Enter Mail ID");
												}								
											}
										});
									 	islocal=(EditText)findViewById(R.id.mailmailputtxt1);
										
										islocal.setOnFocusChangeListener(new View.OnFocusChangeListener() {			
											@Override
											public void onFocusChange(View v, boolean hasFocus) {
												if(islocal.getText().toString().equalsIgnoreCase("IMAP/POP ?")){
													if(hasFocus){
														islocal.setTextColor(Color.parseColor("#000000"));
														islocal.setText("");
													}
												}
												else if((islocal).getText().toString().equalsIgnoreCase("")){
													islocal.setTextColor(Color.parseColor("#888888"));
													islocal.setText("IMAP/POP ?");
												}								
											}
										});
									 quotamb=(EditText)findViewById(R.id.mailmailputtxt2);
										
										quotamb.setOnFocusChangeListener(new View.OnFocusChangeListener() {			
											@Override
											public void onFocusChange(View v, boolean hasFocus) {
												if(quotamb.getText().toString().equalsIgnoreCase("Enter Quotas (MB)")){
													if(hasFocus){
														quotamb.setTextColor(Color.parseColor("#000000"));
														quotamb.setText("");
													}
												}
												else if((quotamb).getText().toString().equalsIgnoreCase("")){
													quotamb.setTextColor(Color.parseColor("#888888"));
													quotamb.setText("Enter Quotas (MB)");
												}								
											}
										});
										 recipients=(EditText)findViewById(R.id.mailmailputtxt3);
											
											recipients.setOnFocusChangeListener(new View.OnFocusChangeListener() {			
												@Override
												public void onFocusChange(View v, boolean hasFocus) {
													if(recipients.getText().toString().equalsIgnoreCase("Enter Recipients")){
														if(hasFocus){
															recipients.setTextColor(Color.parseColor("#000000"));
															recipients.setText("");
														}
													}
													else if((recipients).getText().toString().equalsIgnoreCase("")){
														recipients.setTextColor(Color.parseColor("#888888"));
														recipients.setText("Enter Recipients");
													}								
												}
											});
									validButton=(Button)findViewById(R.id.mailmailputvalid);
									
									validButton.setFocusableInTouchMode(true);
									validButton.requestFocus();
								  
									validButton.setOnClickListener(new OnClickListener() {
										
											private String mail_id1,islocal1,recipients1,quotamb1;
											private Long ts=System.currentTimeMillis()/1000;
											@Override
										
											public void onClick(View v) {
												
												mail_id1=mail_id.getText().toString();
												islocal1=islocal.getText().toString();
												recipients1=recipients.getText().toString();
												quotamb1=quotamb.getText().toString();
												//requete JAVA PUT
												
							//on regle les soucis de droits/sécurité
												StrictMode.ThreadPolicy policy = new StrictMode.ThreadPolicy.Builder().permitAll().build();
												StrictMode.setThreadPolicy(policy); 
													
													//on prépare l'élément a envoyer
											  HttpPut httpput = new HttpPut("http://"+LOCALHOST+"/Alternc_RESTAPI/MAIL/mail.php/"+mail_id1+":"+islocal1+";"+quotamb1+"."+recipients1+"&"+name+"-"+credentials+"_"+ts);

										
												
											  

											      HttpClient httpclient = new DefaultHttpClient();

											  

												// Envoi requette + reception/affichage de la reponse du serveur :
											      
											     
											      HttpResponse response = null;
												try {
													response = httpclient.execute(httpput);
												} catch (ClientProtocolException e) {
													// TODO Auto-generated catch block
													e.printStackTrace();
												} catch (IOException e) {
													// TODO Auto-generated catch block
													e.printStackTrace();
												}
												
												 String html = "";
										    		InputStream in = null;
													try {
														in = response.getEntity().getContent();
													} catch (IllegalStateException e) {
														// TODO Auto-generated catch block
														e.printStackTrace();
													} catch (IOException e) {
														// TODO Auto-generated catch block
														e.printStackTrace();
													}
										    		BufferedReader reader = new BufferedReader(new InputStreamReader(in));

							StringBuilder str = new StringBuilder();
							String line = null;
							try {
								while((line = reader.readLine()) != null)
								{
								    str.append(line);
								}
							} catch (IOException e) {
								// TODO Auto-generated catch block
								e.printStackTrace();
							}
							try {
								in.close();
							} catch (IOException e) {
								// TODO Auto-generated catch block
								e.printStackTrace();
							}
							html = str.toString();
								TextView textview =(TextView) findViewById(R.id.mailmailputmsg);
								textview.setText(html);

											}
							
								 
										});
									
									//end java request	

	}
}
