package com.example.androidlogin;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

import org.apache.http.HttpResponse;
import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpPut;
import org.apache.http.impl.client.DefaultHttpClient;

import android.app.Activity;
import android.content.Intent;
import android.graphics.Color;
import android.os.Bundle;
import android.os.StrictMode;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

public class MailpasswordPUT extends Activity {
	Bundle extras;
	private Button backButton,validButton;
	private EditText mail_id,pass,passconf;
	  String LOCALHOST="10.0.2.2";
	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        
        // La il sait qu'on veut l'affichage de welcome.xml
        setContentView(R.layout.mailpasswordput);    
       setUpViews();
    } 
	private void setUpViews() {	
	    final String credentials,name;
			 extras = getIntent().getExtras();
			    if(extras == null) {
			        credentials= null;
			        name=null;
			    } else {
			        credentials= extras.getString("credentials");
			        name= extras.getString("name");
			    }	
		backButton=(Button)findViewById(R.id.MailpasswordPUTback);
		backButton.setOnClickListener(new OnClickListener() {
			
			Intent myIntent;
			@Override
			public void onClick(View v) {
				
			
				myIntent=new Intent(MailpasswordPUT.this,Mailpassword.class);	
				myIntent.putExtra("credentials", credentials);
				myIntent.putExtra("name", name);
		    	//Lance la page préchargée
		startActivity(myIntent);				
			}
		});
		
				
			
						  	mail_id=(EditText)findViewById(R.id.mailpasswordputtxt);
							
							 
									mail_id.setOnFocusChangeListener(new View.OnFocusChangeListener() {			
										@Override
										public void onFocusChange(View v, boolean hasFocus) {
											if(mail_id.getText().toString().equalsIgnoreCase("Enter Mail ID")){
												if(hasFocus){
													mail_id.setTextColor(Color.parseColor("#000000"));
													mail_id.setText("");
												}
											}
											else if((mail_id).getText().toString().equalsIgnoreCase("")){
												mail_id.setTextColor(Color.parseColor("#888888"));
												mail_id.setText("Enter Mail ID");
											}								
										}
									});
								 	pass=(EditText)findViewById(R.id.mailpasswordputtxt1);
									
									pass.setOnFocusChangeListener(new View.OnFocusChangeListener() {			
										@Override
										public void onFocusChange(View v, boolean hasFocus) {
											if(pass.getText().toString().equalsIgnoreCase("")){
												if(hasFocus){
													pass.setTextColor(Color.parseColor("#000000"));
													pass.setText("");
												}
											}
											else if((pass).getText().toString().equalsIgnoreCase("")){
												pass.setTextColor(Color.parseColor("#888888"));
												pass.setText("");
											}								
										}
									});
								 	passconf=(EditText)findViewById(R.id.mailpasswordputtxt2);
									
									passconf.setOnFocusChangeListener(new View.OnFocusChangeListener() {			
										@Override
										public void onFocusChange(View v, boolean hasFocus) {
											if(passconf.getText().toString().equalsIgnoreCase("")){
												if(hasFocus){
													passconf.setTextColor(Color.parseColor("#000000"));
													passconf.setText("");
												}
											}
											else if((passconf).getText().toString().equalsIgnoreCase("")){
												passconf.setTextColor(Color.parseColor("#888888"));
												passconf.setText("");
											}								
										}
									});
								
								validButton=(Button)findViewById(R.id.mailpasswordputvalid);
								
								validButton.setFocusableInTouchMode(true);
								validButton.requestFocus();
							  
								validButton.setOnClickListener(new OnClickListener() {
									
										private String mail_id1,pass1,passconf1;
										private Long ts=System.currentTimeMillis()/1000;
										@Override
									
										public void onClick(View v) {
											
											mail_id1=mail_id.getText().toString();
											pass1=pass.getText().toString();
											passconf1=passconf.getText().toString();
											//requete JAVA PUT
											if (pass1.equalsIgnoreCase(passconf1)) 
											{
						//on regle les soucis de droits/sécurité
											StrictMode.ThreadPolicy policy = new StrictMode.ThreadPolicy.Builder().permitAll().build();
											StrictMode.setThreadPolicy(policy); 
												
												//on prépare l'élément a envoyer
										  HttpPut httpput = new HttpPut("http://"+LOCALHOST+"/Alternc_RESTAPI/MAIL/password.php/"+mail_id1+":"+pass1+"&"+name+"-"+credentials+"_"+ts);

									
											
										  

										      HttpClient httpclient = new DefaultHttpClient();

										  

											// Envoi requette + reception/affichage de la reponse du serveur :
										      
										     
										      HttpResponse response = null;
											try {
												response = httpclient.execute(httpput);
											} catch (ClientProtocolException e) {
												// TODO Auto-generated catch block
												e.printStackTrace();
											} catch (IOException e) {
												// TODO Auto-generated catch block
												e.printStackTrace();
											}
											
											 String html = "";
									    		InputStream in = null;
												try {
													in = response.getEntity().getContent();
												} catch (IllegalStateException e) {
													// TODO Auto-generated catch block
													e.printStackTrace();
												} catch (IOException e) {
													// TODO Auto-generated catch block
													e.printStackTrace();
												}
									    		BufferedReader reader = new BufferedReader(new InputStreamReader(in));

						StringBuilder str = new StringBuilder();
						String line = null;
						try {
							while((line = reader.readLine()) != null)
							{
							    str.append(line);
							}
						} catch (IOException e) {
							// TODO Auto-generated catch block
							e.printStackTrace();
						}
						try {
							in.close();
						} catch (IOException e) {
							// TODO Auto-generated catch block
							e.printStackTrace();
						}
						html = str.toString();
							TextView textview =(TextView) findViewById(R.id.mailpasswordputmsg);
							textview.setText(html);

										}
										}// end if pas les meme mdp
							
									});
								
								//end java request	
	}
}
