package com.example.androidlogin;


import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;
import android.app.Activity;

public class Menualternc extends Activity{
	Bundle extras;
	private TextView backButton;
	private Button alternc;
	private Button database;
	private Button mail;
	private Button quotas;
	private Button website;
	
	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        
        // La il sait qu'on veut l'affichage de welcome.xml
        setContentView(R.layout.alterncmenu);



        setUpViews(); }
	
	
	private void setUpViews() {		 
	    final String credentials,name;
			 extras = getIntent().getExtras();
			    if(extras == null) {
			        credentials= null;
			        name=null;
			    } else {
			        credentials= extras.getString("credentials");
			        name= extras.getString("name");
			    }
		backButton=(Button)findViewById(R.id.Menualterncback);
		
		backButton.setOnClickListener(new OnClickListener() {
			
			Intent myIntent;
			@Override
			public void onClick(View v) {
				
			
				myIntent=new Intent(Menualternc.this,MainActivity.class);	
				myIntent.putExtra("credentials", credentials);
				myIntent.putExtra("name", name);
		    	//Lance la page préchargée
		startActivity(myIntent);			
			}
		});
		
		
		alternc=(Button)findViewById(R.id.menualternc);
		alternc.setOnClickListener(new OnClickListener() {
			Intent myIntent;
			@Override
			public void onClick(View v) {
				// ça permet d'aller sur une autre page ce "my intent";
			
				myIntent=new Intent(Menualternc.this,Alternc.class);	
				myIntent.putExtra("credentials", credentials);
				myIntent.putExtra("name", name);
		    	//Lance la page préchargée
		startActivity(myIntent);
			}

		});
		
		quotas=(Button)findViewById(R.id.menuquotas);
		quotas.setOnClickListener(new OnClickListener() {
			Intent myIntent;
			@Override
			public void onClick(View v) {
				
			
				myIntent=new Intent(Menualternc.this,Quotas.class);	
				myIntent.putExtra("credentials", credentials);
				myIntent.putExtra("name", name);
		    	//Lance la page préchargée
		startActivity(myIntent);
			}

		});
		database=(Button)findViewById(R.id.menudatabase);
		database.setOnClickListener(new OnClickListener() {
			Intent myIntent;
			@Override
			public void onClick(View v) {
				// ça permet d'aller sur une autre page ce "my intent";
			
				myIntent=new Intent(Menualternc.this,Database.class);	
				myIntent.putExtra("name", name);
				myIntent.putExtra("credentials", credentials);
		    	//Lance la page préchargée
		startActivity(myIntent);
			}

		});
		mail=(Button)findViewById(R.id.menumail);
		mail.setOnClickListener(new OnClickListener() {
			Intent myIntent;
			@Override
			public void onClick(View v) {
				// ça permet d'aller sur une autre page ce "my intent";
			
				myIntent=new Intent(Menualternc.this,Mail.class);	
				myIntent.putExtra("credentials", credentials);
				myIntent.putExtra("name", name);
		    	//Lance la page préchargée
		startActivity(myIntent);
			}

		});
		website=(Button)findViewById(R.id.menuwebsite);
		website.setOnClickListener(new OnClickListener() {
			Intent myIntent;
			@Override
			public void onClick(View v) {
				// ça permet d'aller sur une autre page ce "my intent";
			
				myIntent=new Intent(Menualternc.this,Website.class);	
				myIntent.putExtra("credentials", credentials);
				myIntent.putExtra("name", name);
		    	//Lance la page préchargée
		startActivity(myIntent);
			}

		});
	}
}
