package com.example.androidlogin;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

import org.apache.http.HttpResponse;
import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpDelete;
import org.apache.http.impl.client.DefaultHttpClient;

import android.app.Activity;
import android.content.Intent;
import android.graphics.Color;
import android.os.Bundle;
import android.os.StrictMode;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

public class BddquotasDELETE extends Activity {
	Bundle extras;
	private Button backButton,validButton;
	private EditText cuid;
	  String LOCALHOST="10.0.2.2";
	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        
        // La il sait qu'on veut l'affichage de welcome.xml
        setContentView(R.layout.bddquotasdelete);
          
       setUpViews();
    } 
	private void setUpViews() {	
	    final String credentials,name;
			 extras = getIntent().getExtras();
			    if(extras == null) {
			        credentials= null;
			        name=null;
			    } else {
			        credentials= extras.getString("credentials");
			        name= extras.getString("name");
			    }
		backButton=(Button)findViewById(R.id.BddquotasDELETEback);
		backButton.setOnClickListener(new OnClickListener() {
			
			Intent myIntent;
			@Override
			public void onClick(View v) {
				
			
				myIntent=new Intent(BddquotasDELETE.this,Bddquotas.class);	
				myIntent.putExtra("credentials", credentials);
				myIntent.putExtra("name", name);
		    	//Lance la page préchargée
		startActivity(myIntent);				
			}
		});
		
	  	cuid=(EditText)findViewById(R.id.bddquotasdeletetxt);
		
		 
				cuid.setOnFocusChangeListener(new View.OnFocusChangeListener() {			
					@Override
					public void onFocusChange(View v, boolean hasFocus) {
						if(cuid.getText().toString().equalsIgnoreCase("Enter User ID")){
							if(hasFocus){
								cuid.setTextColor(Color.parseColor("#000000"));
								cuid.setText("");
							}
						}
						else if((cuid).getText().toString().equalsIgnoreCase("")){
							cuid.setTextColor(Color.parseColor("#888888"));
							cuid.setText("Enter User ID");
						}								
					}
				});
			 
			
			validButton=(Button)findViewById(R.id.bddquotasdeletevalid);
			
			validButton.setFocusableInTouchMode(true);
			validButton.requestFocus();
		  
			validButton.setOnClickListener(new OnClickListener() {
				
					private String cuid1 ;
					private Long ts=System.currentTimeMillis()/1000;
					@Override
				
					public void onClick(View v) {
						
						cuid1=cuid.getText().toString();
						
						//requete JAVA DELETE
	//on regle les soucis de droits/sécurité
						StrictMode.ThreadPolicy policy = new StrictMode.ThreadPolicy.Builder().permitAll().build();
						StrictMode.setThreadPolicy(policy); 
							
							//on prépare l'élément a envoyer
					  HttpDelete httpdelete = new HttpDelete("http://"+LOCALHOST+"/Alternc_RESTAPI/BDD/quotas.php/"+cuid1+"&"+name+"-"+credentials+"_"+ts);

				
						
					  

					      HttpClient httpclient = new DefaultHttpClient();

					  

						// Envoi requette + reception/affichage de la reponse du serveur :
					      
					     
					      HttpResponse response = null;
						try {
							response = httpclient.execute(httpdelete);
						} catch (ClientProtocolException e) {
							// TODO Auto-generated catch block
							e.printStackTrace();
						} catch (IOException e) {
							// TODO Auto-generated catch block
							e.printStackTrace();
						}
						
						 String html = "";
				    		InputStream in = null;
							try {
								in = response.getEntity().getContent();
							} catch (IllegalStateException e) {
								// TODO Auto-generated catch block
								e.printStackTrace();
							} catch (IOException e) {
								// TODO Auto-generated catch block
								e.printStackTrace();
							}
				    		BufferedReader reader = new BufferedReader(new InputStreamReader(in));

	StringBuilder str = new StringBuilder();
	String line = null;
	try {
		while((line = reader.readLine()) != null)
		{
		    str.append(line);
		}
	} catch (IOException e) {
		// TODO Auto-generated catch block
		e.printStackTrace();
	}
	try {
		in.close();
	} catch (IOException e) {
		// TODO Auto-generated catch block
		e.printStackTrace();
	}
	html = str.toString();
		TextView textview =(TextView) findViewById(R.id.bddquotasdeletemsg);
		textview.setText(html);

					}
		
				});
			
			//end java request
	}

}
