package com.example.androidlogin;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

import org.apache.http.HttpResponse;
import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpPut;
import org.apache.http.impl.client.DefaultHttpClient;

import android.app.Activity;
import android.content.Intent;
import android.graphics.Color;
import android.os.Bundle;
import android.os.StrictMode;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

public class BddquotasPUT extends Activity  {
	Bundle extras;
	private Button backButton,validButton;
	private EditText cuid,ressource,size;
	  String LOCALHOST="10.0.2.2";
	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        
        // La il sait qu'on veut l'affichage de welcome.xml
        setContentView(R.layout.bddquotasput);
         
       setUpViews();
    } 
	private void setUpViews() {	
	    final String credentials,name;
			 extras = getIntent().getExtras();
			    if(extras == null) {
			        credentials= null;
			        name=null;
			    } else {
			        credentials= extras.getString("credentials");
			        name= extras.getString("name");
			    }
		backButton=(Button)findViewById(R.id.BddquotasPUTback);
		backButton.setOnClickListener(new OnClickListener() {
			
			Intent myIntent;
			@Override
			public void onClick(View v) {
				
			
				myIntent=new Intent(BddquotasPUT.this,Bddquotas.class);	
				myIntent.putExtra("credentials", credentials);
				myIntent.putExtra("name", name);
		    	//Lance la page préchargée
		startActivity(myIntent);			
			}
		});
		

		
				
							
									
									  	cuid=(EditText)findViewById(R.id.bddquotasputtxt);
										
										 
												cuid.setOnFocusChangeListener(new View.OnFocusChangeListener() {			
													@Override
													public void onFocusChange(View v, boolean hasFocus) {
														if(cuid.getText().toString().equalsIgnoreCase("Enter User iD")){
															if(hasFocus){
																cuid.setTextColor(Color.parseColor("#000000"));
																cuid.setText("");
															}
														}
														else if((cuid).getText().toString().equalsIgnoreCase("")){
															cuid.setTextColor(Color.parseColor("#888888"));
															cuid.setText("Enter User ID");
														}								
													}
												});
											 	ressource=(EditText)findViewById(R.id.bddquotasputtxt1);
												
												ressource.setOnFocusChangeListener(new View.OnFocusChangeListener() {			
													@Override
													public void onFocusChange(View v, boolean hasFocus) {
														if(ressource.getText().toString().equalsIgnoreCase("mysql")){
															if(hasFocus){
																ressource.setTextColor(Color.parseColor("#000000"));
																ressource.setText("");
															}
														}
														else if((ressource).getText().toString().equalsIgnoreCase("")){
															ressource.setTextColor(Color.parseColor("#888888"));
															ressource.setText("mysql");
														}								
													}
												});
											 size=(EditText)findViewById(R.id.bddquotasputtxt2);
												
												size.setOnFocusChangeListener(new View.OnFocusChangeListener() {			
													@Override
													public void onFocusChange(View v, boolean hasFocus) {
														if(size.getText().toString().equalsIgnoreCase("Enter Size")){
															if(hasFocus){
																size.setTextColor(Color.parseColor("#000000"));
																size.setText("");
															}
														}
														else if((size).getText().toString().equalsIgnoreCase("")){
															size.setTextColor(Color.parseColor("#888888"));
															size.setText("Enter Size");
														}								
													}
												});
												
											validButton=(Button)findViewById(R.id.bddquotasputvalid);
											
											validButton.setFocusableInTouchMode(true);
											validButton.requestFocus();
										  
											validButton.setOnClickListener(new OnClickListener() {
												
													private String cuid1,ressource1,size1;
													private Long ts=System.currentTimeMillis()/1000;
													@Override
												
													public void onClick(View v) {
														
														cuid1=cuid.getText().toString();
														ressource1=ressource.getText().toString();
														size1=size.getText().toString();
														//requete JAVA PUT
														
									//on regle les soucis de droits/sécurité
														StrictMode.ThreadPolicy policy = new StrictMode.ThreadPolicy.Builder().permitAll().build();
														StrictMode.setThreadPolicy(policy); 
															
															//on prépare l'élément a envoyer
													  HttpPut httpput = new HttpPut("http://"+LOCALHOST+"/Alternc_RESTAPI/BDD/quotas.php/"+cuid1+":"+ressource1+";"+size1+"&"+name+"-"+credentials+"_"+ts);

												
														
													  

													      HttpClient httpclient = new DefaultHttpClient();

													  

														// Envoi requette + reception/affichage de la reponse du serveur :
													      
													     
													      HttpResponse response = null;
														try {
															response = httpclient.execute(httpput);
														} catch (ClientProtocolException e) {
															// TODO Auto-generated catch block
															e.printStackTrace();
														} catch (IOException e) {
															// TODO Auto-generated catch block
															e.printStackTrace();
														}
														
														 String html = "";
												    		InputStream in = null;
															try {
																in = response.getEntity().getContent();
															} catch (IllegalStateException e) {
																// TODO Auto-generated catch block
																e.printStackTrace();
															} catch (IOException e) {
																// TODO Auto-generated catch block
																e.printStackTrace();
															}
												    		BufferedReader reader = new BufferedReader(new InputStreamReader(in));

									StringBuilder str = new StringBuilder();
									String line = null;
									try {
										while((line = reader.readLine()) != null)
										{
										    str.append(line);
										}
									} catch (IOException e) {
										// TODO Auto-generated catch block
										e.printStackTrace();
									}
									try {
										in.close();
									} catch (IOException e) {
										// TODO Auto-generated catch block
										e.printStackTrace();
									}
									html = str.toString();
										TextView textview =(TextView) findViewById(R.id.bddquotasputmsg);
										textview.setText(html);

													}
									
										 
												});
											
											//end java request	

	}

}
