package com.example.androidlogin;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

import org.apache.http.HttpResponse;
import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpPut;
import org.apache.http.impl.client.DefaultHttpClient;

import android.app.Activity;
import android.content.Intent;
import android.graphics.Color;
import android.os.Bundle;
import android.os.StrictMode;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

public class BddusersPUT extends Activity {
	Bundle extras;
	private Button backButton,validButton;
	private EditText dbn,user,rights;
	  String LOCALHOST="10.0.2.2";

	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        
        // La il sait qu'on veut l'affichage de welcome.xml
        setContentView(R.layout.bddusersput);
     
       setUpViews();
    } 
	private void setUpViews() {	
	    final String credentials,name;
			 extras = getIntent().getExtras();
			    if(extras == null) {
			        credentials= null;
			        name=null;
			    } else {
			        credentials= extras.getString("credentials");
			        name= extras.getString("name");
			    }
		backButton=(Button)findViewById(R.id.BddusersPUTback);
		backButton.setOnClickListener(new OnClickListener() {
			
			Intent myIntent;
			@Override
			public void onClick(View v) {
				
			
				myIntent=new Intent(BddusersPUT.this,Bddusers.class);	
				myIntent.putExtra("credentials", credentials);
				myIntent.putExtra("name", name);
		    	//Lance la page préchargée
		startActivity(myIntent);				
			}
		});
	
			
						
							
								  	dbn=(EditText)findViewById(R.id.bddusersputtxt);
									
									 
											dbn.setOnFocusChangeListener(new View.OnFocusChangeListener() {			
												@Override
												public void onFocusChange(View v, boolean hasFocus) {
													if(dbn.getText().toString().equalsIgnoreCase("Enter Database name")){
														if(hasFocus){
															dbn.setTextColor(Color.parseColor("#000000"));
															dbn.setText("");
														}
													}
													else if((dbn).getText().toString().equalsIgnoreCase("")){
														dbn.setTextColor(Color.parseColor("#888888"));
														dbn.setText("Enter Database name");
													}								
												}
											});
										 	user=(EditText)findViewById(R.id.bddusersputtxt1);
											
											user.setOnFocusChangeListener(new View.OnFocusChangeListener() {			
												@Override
												public void onFocusChange(View v, boolean hasFocus) {
													if(user.getText().toString().equalsIgnoreCase("Enter User name")){
														if(hasFocus){
															user.setTextColor(Color.parseColor("#000000"));
															user.setText("");
														}
													}
													else if((user).getText().toString().equalsIgnoreCase("")){
														user.setTextColor(Color.parseColor("#888888"));
														user.setText("Enter User name");
													}								
												}
											});
										 rights=(EditText)findViewById(R.id.bddusersputtxt2);
											
											rights.setOnFocusChangeListener(new View.OnFocusChangeListener() {			
												@Override
												public void onFocusChange(View v, boolean hasFocus) {
													if(rights.getText().toString().equalsIgnoreCase("Rights")){
														if(hasFocus){
															rights.setTextColor(Color.parseColor("#000000"));
															rights.setText("");
														}
													}
													else if((rights).getText().toString().equalsIgnoreCase("")){
														rights.setTextColor(Color.parseColor("#888888"));
														rights.setText("Enter Rights");
													}								
												}
											});
											
										validButton=(Button)findViewById(R.id.bddusersputvalid);
										
										validButton.setFocusableInTouchMode(true);
										validButton.requestFocus();
									  
										validButton.setOnClickListener(new OnClickListener() {
											
												private String dbn1,user1,rights1;
												private Long ts=System.currentTimeMillis()/1000;
												@Override
											
												public void onClick(View v) {
													
													user1=user.getText().toString();
													dbn1=dbn.getText().toString();
													rights1=rights.getText().toString();
													//requete JAVA PUT
													
								//on regle les soucis de droits/sécurité
													StrictMode.ThreadPolicy policy = new StrictMode.ThreadPolicy.Builder().permitAll().build();
													StrictMode.setThreadPolicy(policy); 
														
														//on prépare l'élément a envoyer
												  HttpPut httpput = new HttpPut("http://"+LOCALHOST+"/Alternc_RESTAPI/BDD/users.php/"+dbn1+":"+user1+";"+rights1+"&"+name+"-"+credentials+"_"+ts);

											
													
												  

												      HttpClient httpclient = new DefaultHttpClient();

												  

													// Envoi requette + reception/affichage de la reponse du serveur :
												      
												     
												      HttpResponse response = null;
													try {
														response = httpclient.execute(httpput);
													} catch (ClientProtocolException e) {
														// TODO Auto-generated catch block
														e.printStackTrace();
													} catch (IOException e) {
														// TODO Auto-generated catch block
														e.printStackTrace();
													}
													
													 String html = "";
											    		InputStream in = null;
														try {
															in = response.getEntity().getContent();
														} catch (IllegalStateException e) {
															// TODO Auto-generated catch block
															e.printStackTrace();
														} catch (IOException e) {
															// TODO Auto-generated catch block
															e.printStackTrace();
														}
											    		BufferedReader reader = new BufferedReader(new InputStreamReader(in));

								StringBuilder str = new StringBuilder();
								String line = null;
								try {
									while((line = reader.readLine()) != null)
									{
									    str.append(line);
									}
								} catch (IOException e) {
									// TODO Auto-generated catch block
									e.printStackTrace();
								}
								try {
									in.close();
								} catch (IOException e) {
									// TODO Auto-generated catch block
									e.printStackTrace();
								}
								html = str.toString();
									TextView textview =(TextView) findViewById(R.id.bddusersputmsg);
									textview.setText(html);

												}
								
									 
											});
										
										//end java request	

	}

}
