package com.example.androidlogin;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class Database extends Activity {
	Bundle extras;
	
	private Button backButton;
	private Button BDDusersButton;
	private Button BDDpasswordButton;
	private Button BDDquotasButton;
	private Button BDDdatabaseButton;
	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        
        // La il sait qu'on veut l'affichage de welcome.xml
        setContentView(R.layout.database);
             
        setUpViews();
    }
	 
	private void setUpViews() {		 
	    final String credentials,name;
			 extras = getIntent().getExtras();
			    if(extras == null) {
			        credentials= null;
			        name=null;
			    } else {
			        credentials= extras.getString("credentials");
			        name= extras.getString("name");
			    }
		backButton=(Button)findViewById(R.id.databaseback);
		
		backButton.setOnClickListener(new OnClickListener() {
			
			Intent myIntent;
			@Override
			public void onClick(View v) {
				
			
				myIntent=new Intent(Database.this,Menualternc.class);	
				myIntent.putExtra("credentials", credentials);
				myIntent.putExtra("name", name);
		    	//Lance la page préchargée
		startActivity(myIntent);				
			}
		});
		
		BDDusersButton=(Button)findViewById(R.id.BDDusers);
	BDDusersButton.setOnClickListener(new OnClickListener() {
			Intent myIntent;
			@Override
			public void onClick(View v) {
				// ça permet d'aller sur une autre page ce "my intent";
			
				myIntent=new Intent(Database.this,Bddusers.class);	
				myIntent.putExtra("credentials", credentials);
				myIntent.putExtra("name", name);
		    	//Lance la page préchargée
	startActivity(myIntent);
			}
	
		});
	BDDdatabaseButton=(Button)findViewById(R.id.BDDdatabase);
	BDDdatabaseButton.setOnClickListener(new OnClickListener() {
			Intent myIntent;
			@Override
			public void onClick(View v) {
				// ça permet d'aller sur une autre page ce "my intent";
			
				myIntent=new Intent(Database.this,Bdddatabase.class);	
				myIntent.putExtra("credentials", credentials);
				myIntent.putExtra("name", name);
		    	//Lance la page préchargée
	startActivity(myIntent);
			}
	
		});
	BDDpasswordButton=(Button)findViewById(R.id.BDDpassword);
	BDDpasswordButton.setOnClickListener(new OnClickListener() {
			Intent myIntent;
			@Override
			public void onClick(View v) {
				// ça permet d'aller sur une autre page ce "my intent";
			
				myIntent=new Intent(Database.this,Bddpassword.class);	
				myIntent.putExtra("credentials", credentials);
				myIntent.putExtra("name", name);
		    	//Lance la page préchargée
	startActivity(myIntent);
			}
	
		});
	BDDquotasButton=(Button)findViewById(R.id.BDDquotas);
	BDDquotasButton.setOnClickListener(new OnClickListener() {
			Intent myIntent;
			@Override
			public void onClick(View v) {
				// ça permet d'aller sur une autre page ce "my intent";
			
				myIntent=new Intent(Database.this,Bddquotas.class);	
				myIntent.putExtra("credentials", credentials);
				myIntent.putExtra("name", name);
		    	//Lance la page préchargée
	startActivity(myIntent);
			}
	
		});
	}
}
