package com.example.androidlogin;

import android.os.Bundle;
import android.os.StrictMode;
import android.app.Activity;
import android.content.Intent;
import android.graphics.Color;
import android.text.InputType;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.UnsupportedEncodingException;


import java.util.ArrayList;

import java.util.List;

import org.apache.http.HttpResponse;
import org.apache.http.NameValuePair;

import org.apache.http.client.ClientProtocolException;

import org.apache.http.client.HttpClient;

import org.apache.http.client.entity.UrlEncodedFormEntity;

import org.apache.http.client.methods.HttpPost;

import org.apache.http.impl.client.DefaultHttpClient;

import org.apache.http.message.BasicNameValuePair;

public class MainActivity extends Activity {
	
	private EditText uName;
	private EditText uPass;
	private Button loginBtn;
	String LOCALHOST="10.0.2.2";
   
    
	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        setUpViews();
    }
	
	@Override
	protected void onResume() {
		super.onResume();
		uName.setText("Enter User Name");
		uName.setTextColor(Color.parseColor("#888888"));
		uPass.setText("Enter Password");
		uPass.setInputType(InputType.TYPE_CLASS_TEXT);
		uPass.setTextColor(Color.parseColor("#888888"));
	}

	private void setUpViews() {
		uName=(EditText)findViewById(R.id.usrNameTxt);
		uPass=(EditText)findViewById(R.id.usrPassTxt);
		
		uName.setOnFocusChangeListener(new View.OnFocusChangeListener() {			
			@Override
			public void onFocusChange(View v, boolean hasFocus) {
				if(uName.getText().toString().equalsIgnoreCase("Enter User Name")){
					if(hasFocus){
						uName.setTextColor(Color.parseColor("#000000"));
						uName.setText("");
					}
				}
				else if(uName.getText().toString().equalsIgnoreCase("")){
					uName.setTextColor(Color.parseColor("#888888"));
					uName.setText("Enter User Name");
				}								
			}
		});
		
				
        uPass.setOnFocusChangeListener(new View.OnFocusChangeListener(){ 			
			@Override
			public void onFocusChange(View v, boolean hasFocus) {
				if(uPass.getText().toString().equalsIgnoreCase("Enter Password")){
					if(hasFocus){
						uPass.setInputType(InputType.TYPE_CLASS_TEXT|InputType.TYPE_TEXT_VARIATION_PASSWORD);
						uPass.setTextColor(Color.parseColor("#000000"));
						uPass.setText("");
					}
				}
				
				else if(uPass.getText().toString().equalsIgnoreCase("")){
						uPass.setInputType(InputType.TYPE_CLASS_TEXT);
						uPass.setTextColor(Color.parseColor("#888888"));
						uPass.setText("Enter Password");
				}
				
			}
		});
		
		loginBtn=(Button)findViewById(R.id.loginBtn);
		
		loginBtn.setFocusableInTouchMode(true);
		loginBtn.requestFocus();
		
		loginBtn.setOnClickListener(new OnClickListener() {
			
			private String pass,name;
			private Long ts=System.currentTimeMillis()/1000;
			Intent myIntent;
			
			@Override
			public void onClick(View v) {
				name=uName.getText().toString();
				pass=uPass.getText().toString();
				//requete JAVA POST
	//on regle les soucis de droits/sécurité
						 StrictMode.ThreadPolicy policy = new StrictMode.ThreadPolicy.Builder().permitAll().build();
							StrictMode.setThreadPolicy(policy); 
						
							//on prépare l'élément a envoyer
					  HttpPost httppost;
				
						httppost = new HttpPost("http://"+LOCALHOST+"/Alternc_RESTAPI/login.php/"+"_"+ts);
					
					 List<NameValuePair> nameValuePairs = new ArrayList<NameValuePair>(); //On crée la liste qui contiendra tous nos paramètres
					 nameValuePairs.add(new BasicNameValuePair("login", name));
					 nameValuePairs.add(new BasicNameValuePair("pass", pass));
					 try {
						httppost.setEntity(new UrlEncodedFormEntity(nameValuePairs));
					} catch (UnsupportedEncodingException e) {
						// TODO Auto-generated catch block
						e.printStackTrace();
					} 
						
					  

					      HttpClient httpclient = new DefaultHttpClient();

					  

						// Envoi requette + reception/analyse de la reponse du serveur :
					      
					     
					      HttpResponse response = null;
						try {
							response = httpclient.execute(httppost);
						} catch (ClientProtocolException e) {
							// TODO Auto-generated catch block
							e.printStackTrace();
						} catch (IOException e) {
							// TODO Auto-generated catch block
							e.printStackTrace();
						}
						
						 String html = "";
				    		InputStream in = null;
							try {
								in = response.getEntity().getContent();
							} catch (IllegalStateException e) {
								// TODO Auto-generated catch block
								e.printStackTrace();
							} catch (IOException e) {
								// TODO Auto-generated catch block
								e.printStackTrace();
				 			}
				    		BufferedReader reader = new BufferedReader(new InputStreamReader(in));

	StringBuilder str = new StringBuilder();
	String line = null;
	try {
		while((line = reader.readLine()) != null)
		{
		    str.append(line);
		}
	} catch (IOException e) {
		// TODO Auto-generated catch block
		e.printStackTrace();
	}
	try {
		in.close();
	} catch (IOException e) {
		// TODO Auto-generated catch block
		e.printStackTrace();
	}
	html = str.toString();
		TextView textview =(TextView) findViewById(R.id.mainactivitymsg);
		

				
						
			//end post request
				
				// ça permet d'aller sur une autre page ce "my intent";
				// le serveur renvoit "TRUE" si la connexion s'est bien déroulée
				if(!(html.equalsIgnoreCase("FALSE"))){
					myIntent=new Intent(MainActivity.this,Menualternc.class);
					myIntent.putExtra("credentials", html);
					myIntent.putExtra("name", name);
				startActivity(myIntent);
			    }
				else {
					textview.setText("Vos identifiants sont incorrects.");
			    	
			    }	
			    
			
				
				
			}
		});
		
						
		
	}
    
}
