package com.example.androidlogin;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class Website extends Activity {
	Bundle extras;
	private Button backButton;
	private Button WEBSITEPOST;
	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        
        // La il sait qu'on veut l'affichage de welcome.xml
        setContentView(R.layout.website);
        
        setUpViews();
    }
	
	private void setUpViews() { 
	    final String credentials,name;
			 extras = getIntent().getExtras();
			    if(extras == null) {
			        credentials= null;
			        name=null;
			    } else {
			        credentials= extras.getString("credentials");
			        name= extras.getString("name");
			    }
		backButton=(Button)findViewById(R.id.websiteback);
		
		backButton.setOnClickListener(new OnClickListener() {
			
			Intent myIntent;
			@Override
			public void onClick(View v) {
				
			
				myIntent=new Intent(Website.this,Menualternc.class);	
				myIntent.putExtra("credentials", credentials);
				myIntent.putExtra("name", name);
		    	//Lance la page préchargée
		startActivity(myIntent);					
			}
		});
		
	
		WEBSITEPOST=(Button)findViewById(R.id.websitepost);
		WEBSITEPOST.setOnClickListener(new OnClickListener() {
			Intent myIntent;
			@Override
			public void onClick(View v) {
				// ça permet d'aller sur une autre page ce "my intent";
			
				myIntent=new Intent(Website.this,WebsitePOST.class);	
				myIntent.putExtra("credentials", credentials);
				myIntent.putExtra("name", name);
		    	//Lance la page préchargée
	startActivity(myIntent);
			}
	
		});
		
	}
}
