package com.example.androidlogin;

import android.app.Activity;
import android.content.Intent;
import android.graphics.Color;

import java.io.IOException;
import java.io.InputStream;
import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.impl.client.DefaultHttpClient;
import android.os.Bundle;
import android.os.StrictMode;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

//pour lire la réponse de la requette :
import java.io.BufferedReader;
import java.io.InputStreamReader;
import org.apache.http.HttpResponse;

public class WebsitePOST extends Activity {
	
	
	Bundle extras;
	private Button backButton;
	private Button validButton;
	private EditText domaine;
	  String LOCALHOST="10.0.2.2";
	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        
        // La il sait qu'on veut l'affichage de welcome.xml
        setContentView(R.layout.websitepost);
           
       setUpViews();
       
	}
	private void setUpViews() {	

	    final String credentials,name;
			 extras = getIntent().getExtras();
			    if(extras == null) {
			        credentials= null;
			        name=null;
			    } else {
			        credentials= extras.getString("credentials");
			        name= extras.getString("name");
			    } 

			backButton=(Button)findViewById(R.id.websitePOSTback);
		
		backButton.setOnClickListener(new OnClickListener() {
			
			Intent myIntent;
			@Override
			public void onClick(View v) {
				
			
				myIntent=new Intent(WebsitePOST.this,Website.class);	
				myIntent.putExtra("credentials", credentials);
				myIntent.putExtra("name", name);
		    	//Lance la page préchargée
		startActivity(myIntent);				
			}
		}); 
		
		domaine=(EditText)findViewById(R.id.websiteposttxt);
		domaine.setOnFocusChangeListener(new View.OnFocusChangeListener() {			
			@Override
			public void onFocusChange(View v, boolean hasFocus) {
				if(domaine.getText().toString().equalsIgnoreCase("Dns")){
					if(hasFocus){
						domaine.setTextColor(Color.parseColor("#000000"));
						domaine.setText("");
					}
				}
				else if((domaine).getText().toString().equalsIgnoreCase("")){
					domaine.setTextColor(Color.parseColor("#888888"));
					domaine.setText("Dns");
				}								
			}
		});
		
		 
		validButton=(Button)findViewById(R.id.websitepostvalid);
		validButton.setFocusableInTouchMode(true);
		validButton.requestFocus();
	
		validButton.setOnClickListener(new OnClickListener() {
				private String domaine1;
				private Long ts=System.currentTimeMillis()/1000;
				@Override
			
				public void onClick(View v) {
					
					domaine1=domaine.getText().toString();
					

					
//on regle les soucis de droits/sécurité
					StrictMode.ThreadPolicy policy = new StrictMode.ThreadPolicy.Builder().permitAll().build();
					StrictMode.setThreadPolicy(policy); 
						
						//on prépare l'élément a envoyer
					 HttpPost httppost = new HttpPost("http://"+LOCALHOST+"/Alternc_RESTAPI/ALTERNC/users.php/"+"@"+domaine1+"&"+name+"-"+credentials+"_"+ts);

			
					
				  

				      HttpClient httpclient = new DefaultHttpClient();

						
				   // Envoi requette + reception/affichage de la reponse du serveur :
				      
					     
				      HttpResponse response = null;
					try {
						response = httpclient.execute(httppost);
					} catch (ClientProtocolException e) {
						// TODO Auto-generated catch block
						e.printStackTrace();
					} catch (IOException e) {
						// TODO Auto-generated catch block
						e.printStackTrace();
					}
					
					 String html = "";
			    		InputStream in = null;
						try {
							in = response.getEntity().getContent();
						} catch (IllegalStateException e) {
							// TODO Auto-generated catch block
							e.printStackTrace();
						} catch (IOException e) {
							// TODO Auto-generated catch block
							e.printStackTrace();
						}
			    		BufferedReader reader = new BufferedReader(new InputStreamReader(in));

StringBuilder str = new StringBuilder();
String line = null;
try {
	while((line = reader.readLine()) != null)
	{
	    str.append(line);
	}
} catch (IOException e) {
	// TODO Auto-generated catch block
	e.printStackTrace();
}
try {
	in.close();
} catch (IOException e) {
	// TODO Auto-generated catch block
	e.printStackTrace();
}
html = str.toString();

	TextView textview =(TextView) findViewById(R.id.websitepostmsg);
	textview.setText(html);

				}
				
			});


	}
	
	
	
}
